MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022903Community[OCCT] OCCT:Visualizationpublic2012-01-13 12:262012-11-16 13:16
Reporterszy 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0022903: DeviationAngle from AIS_InteractiveContext returns constant value
Description[OCC Forum] DeviationAngle (Pawel) - http://www.opencascade.org/org/forum/thread_15567/. [^]
"Hello,

OCCT 6.5.2 still used this code and always returns a constant value for the deviation angle. Why?

Could this be clarified?

Thank you!"
================================================
For the moment it is not clear why.
To be analyzed by experts.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020399)
Pawel (developer)
2012-04-16 17:52

Corresponding branch pushed to the git repository.
(0020517)
abv (manager)
2012-05-12 16:09

The change looks reasonable; please test
(0020537)
mkv (tester)
2012-05-15 17:00

Dear BugMaster,
Workbench KAS:dev:mkv-22903-occt was created from git branch CR22903
(and mkv-22903-products from svn trunk) and compiled on Linux platform.

There are not regressions in mkv-22903-products regarding to KAS:dev:products-20120415-opt
There are not improvements in mkv-22903-products regarding to KAS:dev:products-20120415-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22903-products_15052012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120415-opt_13042012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master cb15fdf7
Timestamp: 2012-04-16 13:12:07
Author: Pawel
Committer: pawel-kowalski
Details ] Diff ]
0022903: DeviationAngle from AIS_InteractiveContext returns constant value
Returning myDefaultDrawer->DeviationAngle() instead of a constant value
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-13 12:26 szy New Issue
2012-01-13 12:26 szy Assigned To => san
2012-01-31 23:02 Pawel Note Added: 0019325
2012-02-01 08:12 abv Description Updated View Revisions
2012-02-01 08:12 abv Note Deleted: 0019325
2012-02-09 09:00 abv Target Version 6.5.3 => Unscheduled
2012-04-16 17:51 Pawel Assigned To san => Pawel
2012-04-16 17:52 Pawel Note Added: 0020399
2012-04-16 17:52 Pawel Assigned To Pawel => bugmaster
2012-04-16 17:52 Pawel Status new => resolved
2012-05-12 15:12 mkv Assigned To bugmaster => abv
2012-05-12 16:09 abv Note Added: 0020517
2012-05-12 16:09 abv Assigned To abv => san
2012-05-12 16:09 abv Status resolved => reviewed
2012-05-12 17:40 abv Target Version Unscheduled => 6.5.4
2012-05-14 16:59 mkv Assigned To san => mkv
2012-05-15 17:00 mkv Note Added: 0020537
2012-05-15 17:01 mkv Test case number => Not needed
2012-05-15 17:01 mkv Assigned To mkv => bugmaster
2012-05-15 17:01 mkv Status reviewed => tested
2012-05-21 12:19 Pawel Changeset attached => occt master cb15fdf7
2012-05-21 12:19 Pawel Assigned To bugmaster => Pawel
2012-05-21 12:19 Pawel Status tested => verified
2012-05-21 12:19 Pawel Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker